.app-tree-exp-bar {
    > .ivu-split-horizontal {
        > .ivu-split-trigger-con {
            height: 100%;
            width: 1px;
        }
        > .ivu-split-pane {
            > div {
                height: 100%;
                overflow-y: auto;
                overflow-x: hidden;
                display: flex;
                flex-direction: column;
                .tree-exp-bar-header {
                    line-height: 50px;
                    border-bottom: 1px solid #ddd;
                    display: flex;
                    justify-content: space-between;
                    .tree-exp-bar-title {
                        font-size: 18px;
                        padding-left: 8px;
                        flex-shrink: 0;
                        i {
                            font-size: 20px;
                            margin-top: -2px;
                        }
                    } 
                    .toolbar-container{
                        margin-left: auto;
                        margin-right: 10px;
                        display: flex;
                        flex-wrap: wrap;
                        align-items: center;
                        .ivu-badge-count{
                            top: 2px;
                        }
                    }
                }
                .search-content {
                    width: 100%;
                    height: 48px;
                    padding: 10px 5px 10px 5px;
                }
                .tree-exp-content {
                <#--  计算高度  -->
                    <#if ctrl.isShowTitleBar() && ctrl.isEnableSearch()>
                    height: calc(100% - 88px);
                    <#elseif ctrl.isShowTitleBar() && !ctrl.isEnableSearch()>
                    height: calc(100% - 40px);
                    <#elseif !ctrl.isShowTitleBar() && ctrl.isEnableSearch()>
                    height: calc(100% - 38px);
                    <#else>
                    height: 100%;
                    </#if>
                    overflow: auto;
                    padding: 16px 0;
                    margin-bottom: 10px;
                }
                .tree-exp-content2 {
                    height: 100%;
                    overflow: auto;
                    flex-grow: 1;
                }
            }
        }
        > .right-pane.ivu-split-pane {
            > div {
                padding-left: 10px;
            }
        }
        > .left-pane.ivu-split-pane {
            padding-right: 10px;
        }
    }
}

<#ibizinclude>
../@MACRO/CSS/DEFAULT.less.ftl
</#ibizinclude>