.app-wizard {
    background: #fff;
    height: 100%;
    .view-steps{
      display: flex;
      padding: 0 20px;
      .steps_icon{
        font-size: 20px;
        background: #409eff;
        color: #fff;
        line-height: 50px;
        height: 50px;
        border-radius: 4px;
      }
      .steps_icon:hover{
        cursor: pointer;
      }
    }
    .wizard-steps{
      padding: 10px 20px;
      margin-bottom: 10px;
      width: 100%;
      .el-step__head.is-process{
        border-color: #7e8187;
        color: #7e8187;
      }
      .el-step__title.is-process{
        color: #7e8187;
      }
      .el-step__head.is-success{
        border-color: #1890ff;
        color: #1890ff;
      }
      .el-step__title.is-success{
        color: #1890ff;
      }
      .el-step__title:hover{
        cursor: pointer;
      }
      .app-active-step{
        .el-icon-check:before {
          content: "";
          width: 12px;
          height: 12px;
          border-radius: 8px;
          background-color: #1890ff;
          display: block;
        }
      }
    }
}
.app-wizard-popover-container{
  .app-wizard-container{
    width: 100%;
    .popover-title{
      position: absolute;
      top: 14px;
      left: 20px;
    }
    .app-wizard-header{
      width: 100%;
      height: 22px;
      line-height: 22px;
      padding: 2px;
      .app-wizard-header-extra{
        float: right;
      }
    }
    .app-wizard-content{
      width: 100%;
      padding: 4px 0px;
    }
    .app-wizard-footer{
      display: flex;
    }
  }
}
.el-popper[x-placement^=bottom] {
  margin-top: 0px;
}
.app-wizard-drawer{
  .app-form {
    height: calc(100% - 51px);
  }
  .drawer-button{
    display: flex;
    justify-content: flex-end;
  }
}