<#assign quick_menus>
  <div class="app-app-menu">
    <row>
      <template v-for="(item,index) in menus" >
        <card :bordered="false" dis-hover :key = "index">
          <p slot='title' @click="select(item.name, [item.name])">
              <span style="margin-right:12px">
                <img :src="item.icon" v-if="!Object.is(item.icon, '')"/>
                <img :src="item.iconcls" v-else-if="!Object.is(item.iconcls, '')"/>
                <i class='fa fa-cogs' v-else></i>                        
              </span>
              <span>{{$t('app.menus.${ctrl.codeName?lower_case}.' + item.name)}}</span>
              <span class="line"></span>
          </p>
          <p style=" display: 'flex' ">
            <app-quick-menus :menus = "item.items" :ctrlName = "'${ctrl.codeName?lower_case}'" v-if="item.items" @menuClick="select(item.name, [item.name])"></app-quick-menus>
          </p>
        </card>          
      </template>
    </row>
  </div>
</#assign>
<#ibizinclude>
../应用菜单/CONTROL-BASE.vue.ftl
</#ibizinclude>