<#ibizinclude>
../@MACRO/CONTROL/LANGBASE.vue.ftl
</#ibizinclude>
<i-form :model="this.data" class='app-search-form<#if ctrl.getPSSysCss()??> ${ctrl.getPSSysCss().getCssName()}</#if><#if ctrl.isInfoFormMode?? && ctrl.isInfoFormMode()> info-form-mode</#if>' ref='${ctrl.name}' style="<#if ctrl.getFormWidth() gt 1>width: ${ctrl.getFormWidth()?c}px;</#if>">
  <input style="display:none;"/>
  <row>
    <i-col span="20" class="form-content">
      <row>
    <#if ctrl.isNoTabHeader()>
    <#list ctrl.getPSDEFormPages() as formmenber>
          <@ibizindent blank=10>
          ${P.getPartCode(formmenber).code}
          </@ibizindent>
    </#list>
    <#else>
        <tabs :animated="false" name='${ctrl.getCodeName()?lower_case}' :value="detailsModel.${ctrl.name}.activiedPage" 
            @on-click="detailsModel.${ctrl.name}.clickPage($event)">
        <#list ctrl.getPSDEFormPages() as formpage>
            <tab-pane v-show="detailsModel.${formpage.name}.visible" name='${formpage.name}' :index="${formpage_index}" tab='${ctrl.getCodeName()?lower_case}' class='<#if formpage.getPSSysCss?? && formpage.getPSSysCss()??>${formpage.getPSSysCss().getCssName()}</#if>'  
                :label="(h) =>{
                    return h('span',{
                        class:'caption<#if formpage.getLabelPSSysCss?? && formpage.getLabelPSSysCss()??> ${formpage.getLabelPSSysCss().getCssName()}</#if>'
                    },[
                    <#if formpage.getPSSysImage()??>
                    <#assign sysimage = formpage.getPSSysImage()/>
                    <#if sysimage.getImagePath() ==  "">
                        h('i',{
                            class:'${sysimage.getCssClass()}',
                            style:{
                                'margin-right' : '2px'
                            }
                        }),
                    <#else>
                        h('img',{
                            src:'${sysimage.getImagePath()}',
                            style:{
                                'margin-right' : '2px'
                            }
                        }),
                    </#if>
                    </#if>
                    <#if langbase??>$t('${langbase}.details.${formpage.name}')<#else>'${formpage.getCaption()}'</#if>
                    ])
                }">
                ${P.getPartCode(formpage).code}
            </tab-pane> 
        </#list>
        </tabs>
    </#if>
      </row>
    </i-col>
    <#if ctrl.getFormStyle() != "SEARCHBAR">
    <i-col span="4" class="search-button">
      <row v-show="Object.keys(data).length>0">
        <i-button class='search_reset'  size="default" type="primary"  @click="onSearch">{{$t('app.searchButton.search')}}</i-button>
        <i-button class='search_reset'  size="default"  @click="onReset">{{this.$t('app.searchButton.reset')}}</i-button>
      </row>
    </i-col>
    </#if>
  </row>
</i-form>