.app-data-view-group {
  height: 100%;
  display: flex;
  overflow: auto;
  .dataview-group-content {
    border: 1px solid #ddd;
    border-left: 0;
    flex-shrink: 0;
    height: 100%;
    display: flex;
    flex-direction: column;
    .dataview-group-header {
      height: 36px;
      line-height: 36px;
      border-bottom: 1px solid #ddd;
      padding: 0 8px;
      .group-action {
        .group-action-item:nth-child(1) + .group-action-item {
          margin-top: 5px;
        }
      }
    }
    .dataview-group-items {
      flex-grow: 1;
      overflow: auto;
      .dataview-group-item {
        margin: 8px 8px 0 8px;
        border: 1px solid #ddd;
        padding: 8px;
        overflow: hidden;
      }
      .dataview-group-item.is-select {
        border-color: #108cee;
      }
    }
  }
  .dataview-group-content:nth-child(1) {
    border-left: 1px solid #ddd;
  }
  .quick-action {
    flex-shrink: 0;
    margin-left: 5px;
    .quick-action-item {
      width: 37px;
      height: 37px;
      text-align: center;
      line-height: 37px;
      border: 1px solid #ddd;
      border-top-width: 0;
    }
    .quick-action-item:nth-child(1) {
      border-top-width: 1px;
    }
  }
}
<#ibizinclude>
../@MACRO/CSS/DEFAULT.less.ftl
</#ibizinclude>